Package org.silverpeas.mobile.client.apps.tasks

## Class TasksApp

- java.lang.Object
- - org.silverpeas.mobile.client.common.app.App
  - - org.silverpeas.mobile.client.apps.tasks.TasksApp

- All Implemented Interfaces:
    `com.google.gwt.event.shared.EventHandler`, `NavigationEventHandler`, `TasksAppEventHandler`, `AppEventHandler`

      public class TasksApp
      extends App
      implements TasksAppEventHandler, NavigationEventHandler

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.client.common.app.App

      `container`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TasksApp()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appInstanceChanged​(NavigationAppInstanceChangedEvent event)` |
    `void` | `createTask​(TaskCreateEvent event)` |
    `void` | `deleteTask​(TasksDeleteEvent event)` |
    `void` | `loadTasks​(TasksLoadEvent event)` |
    `void` | `showContent​(NavigationShowContentEvent event)` |
    `void` | `start()` |
    `void` | `stop()` |
    `void` | `updateTask​(TaskUpdateEvent event)` |

    - ### Methods inherited from class org.silverpeas.mobile.client.common.app.App

      `getApplicationInstance, getAppName, getMainPage, isStopLoading, receiveEvent, setApplicationInstance, setMainPage, setStopLoading, startWithContent, stopLoadingDataEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TasksApp

          public TasksApp()

  - ### Method Detail

    - #### start

          public void start()

      Overrides:
        `start` in class `App`

    - #### stop

          public void stop()

      Overrides:
        `stop` in class `App`

    - #### loadTasks

          public void loadTasks​(TasksLoadEvent event)

      Specified by:
        `loadTasks` in interface `TasksAppEventHandler`

    - #### updateTask

          public void updateTask​(TaskUpdateEvent event)

      Specified by:
        `updateTask` in interface `TasksAppEventHandler`

    - #### createTask

          public void createTask​(TaskCreateEvent event)

      Specified by:
        `createTask` in interface `TasksAppEventHandler`

    - #### deleteTask

          public void deleteTask​(TasksDeleteEvent event)

      Specified by:
        `deleteTask` in interface `TasksAppEventHandler`

    - #### appInstanceChanged

          public void appInstanceChanged​(NavigationAppInstanceChangedEvent event)

      Specified by:
        `appInstanceChanged` in interface `NavigationEventHandler`

    - #### showContent

          public void showContent​(NavigationShowContentEvent event)

      Specified by:
        `showContent` in interface `NavigationEventHandler`
      Overrides:
        `showContent` in class `App`